<?php

/*
|--------------------------------------------------------------------------
| API Routes
|--------------------------------------------------------------------------
|
| Here is where you can register API routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| is assigned the "api" middleware group. Enjoy building your API!
|
*/

Route::middleware('auth:api')->namespace('Api')->group(function () {
    //视频接口
    Route::post('camera/getlist', 'CameraApiController@getCamerasList');
    Route::post('camera/geturl', 'CameraApiController@getCamerasUrl');
    Route::post('camera/getrtsp', 'CameraApiController@getCamerasRtsp');
    Route::post('camera/transcode', 'CameraApiController@getTranscodeInfo');
    Route::get('camera/stopstream', 'CameraApiController@stopCamerasS tream');
    Route::post('camera/lake/getlist', 'CameraApiController@getSouthLakeCamera');
    Route::post('camera/surface/getlist', 'CameraApiController@getWorkSurfaceCamera');
    Route::post('camera/get_hik_rtsp', 'CameraApiController@getHikRtsp');//海康获取rtsp流
    Route::post('camera/get_hik_rtmp', 'CameraApiController@getHikRtmp');//海康获取rtmp流
    Route::post('camera/playback/getlist', 'CameraApiController@getPlaybackList');//回放时间段列表
    Route::post('camera/playback/geturl', 'CameraApiController@getPlaybackUrl');//回放url
    Route::post('camera/playback/geturleasy', 'CameraApiController@getPlaybackUrlByEasy');//easydrawin回放url
    Route::post('camera/getcamerabytype', 'CameraApiController@getCameraByType');//通过摄像头类型获取所有摄像头
    Route::post('camera/get_lan_url', 'CameraApiController@getCamerasLanUrl');//内网播放url


    //海康视频接口
    Route::get('haikang/monitor/regions/list', 'HaiKangController@getRegionsList');
    Route::get('haikang/monitor/cameras/list', 'HaiKangController@getCamerasList');
    Route::get('haikang/monitor/cameras/url', 'HaiKangController@getCamerasUrl');
    Route::get('haikang/monitor/cameras/transcode', 'HaiKangController@getTranscodeInfo');
});

Route::namespace('Api')->group(function () {
    Route::post('camera/getcamerabyminecode', 'CameraApiController@getCameraByMinecode');//高风险区域摄像头
    Route::get('test', 'CameraApiController@test');
    Route::post('camera/picture_base64', 'CameraApiController@pictureBase64');//宁煤存base64图片
    Route::post('camera/get_risk_ningmei', 'CameraApiController@getRiskNingmei');//宁煤高风险摄像头
    Route::post('camera/get_total_ningmei', 'CameraApiController@getTotalNingmei');//宁煤摄像头统计
});